IRPCViews.ModifyView

View as Markdown

Vault API / standard write session or assertion idempotent returns metadata structure version

Replaces the definition of an existing view.

ServiceViews MFiles.IRPCViews
gRPC method/MFiles.IRPCViews/ModifyView
HTTP (mf-http-grpc)POST /grpc/v1/modify-view
RequestModifyViewRequest
ResponseModifyViewResponse
Book and levelVault API, standard
Kindwrite
SessionRequired: a session (mfiles-session-id-bin metadata) or a session assertion (x-mf-session-assertion metadata).
Idempotentyes
Returns metadata structure versionyes (in the mfiles-metadata-version-bin trailer)
Streamingnone (unary)

Remarks

Request: ModifyViewRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page. Fields marked (recursive) refer to a type already on their path.

FieldTypeDescription
utf8szviewViewThe complete new definition of the view, with the id of the view to change.
utf8szview.idint32The ID of the view.
utf8szview.typeViewTypeThe type of the view.Values: VIEW_TYPE_SHOW_OBJECTS (0), VIEW_TYPE_FILTER_ONLY (1).
utf8szview.namestringThe name of the view.
utf8szview.is_commonboolTells if the view is admin-defined (common) or user-defined.
utf8szview.is_visibleboolTells if the view is visible.
utf8szview.locationViewLocationThe location of the view. Valid only if bHasParent is true.
utf8szview.location.parent_folder[]repeated FolderArray of folders describing the parent folder of the view. The first element of the array must be a view folder. Other elements, if any, are property folders.
utf8szview.location.customizes_property_folderboolTrue if the view is overlapping with a property folder.
utf8szview.location.customized_property_folderTypedValueThe overlapped property folder. Ignored if bOverlapping is false.
utf8szview.content_definitionSearchDefThe search definition that contains the view levels and search conditions of the view.
utf8szview.content_definition.filter_conditions[]repeated SearchConditionThe conditions that limit the object set of this search.
utf8szview.content_definition.grouping_levels[]repeated GroupingLevelView levels (the display hierarchy of this search).
utf8szview.content_definition.optionsSearchFlagsSearch flags. This affects the resulting object version set and also distinct view level values displayed inside this search.
utf8szview.aclAccessControlListPermissions.
utf8szview.acl.checked_out_to_userint32Specifies the ID of the user who has extended rights because of the checkout operation performed by her. 0 if such user does not exist.
utf8szview.acl.is_fully_authoritativeboolSpecifies whether this access control list is set to ignore the secondary permissions that come from the latest checked in version.
utf8szview.acl.custom_componentAccessControlListComponentAccesses the custom component of this ACL.
utf8szview.acl.restrictive_components[]repeated AccessControlListComponentMapEntryAccesses the restrictive automatic components of this ACL.
utf8szview.acl.secondary_access_control_listAccessControlList (recursive)Secondary ACL used for latest version ACL. Not used for access check if null.
utf8szview.acl.additive_components[]repeated AccessControlListComponentMapEntryAccesses the additive automatic components of this ACL.
utf8szview.flags_obsoleteuint32Bit flags that provide additional information on the view.
utf8szview.optionsVIEWFLAGSBit flags that provide additional information on the view.
utf8szview.options.allboolSpecifies all flags set; Including any future flags.
utf8szview.options.indexedboolMaterialized/indexed view.
utf8szview.options.incompatible_with_full_text_searchboolThe search conditions of the view definition (excluding the grouping levels) are not compatible with full-text search.
utf8szview.options.sort_across_all_pages_disabledboolSorting search results is disabled.
utf8szview.guidstringGUID for the view.
utf8szview.view_visualizationViewVisualizationView visualization information.
utf8szview.view_visualization.subview_groups[]repeated SubviewGroupThe subviews of the view as groups.

Response: ModifyViewResponse

No fields.